#!/bin/sh

ncat -l 7 --exec /bin/cat &
echo 7 echo
ncat -l --keep-open 9 --recv-only > /dev/null &
echo 9 discard
ncat -l 13 --send-only --exec "/bin/date" &
echo 13 daytime
ncat -l 17 --send-only --sh-exec "echo The quote of the day:; /usr/games/fortune" &
echo 17 qotd
ncat -l 19 --send-only --exec ./chargen.py &
echo 19 chargen
ncat -l 80 --exec ./http.py &
echo 80 http
ncat -l --chat -o chat-`date +%s`.log &
echo 31337 chat
ncat -l 139 --exec ./twisty.pl &
echo 139 twisty
ncat -l 1024 --sh-exec 'perl -e "\$| = 1; while (<>) { print uc; }"' &
echo 1024 shout
