#!/usr/bin/perl -w

$| = 1;

sub twist {
	my $a;
	if (rand() < 0.5) {
		$a = "twisty";
	} else {
		$a = "twisting";
	}
	if (rand() < 0.5) {
		$a = $a . " little";
	} else {
		$a = "little ". $a;
	}
	if (rand() < 0.5) {
		$a = $a . " maze of";
	} else {
		$a = "maze of " . $a;
	}
	return "You are in a $a ports, all different.";
}

my $light = 5;

while (<STDIN>) {
	if (/^xyzzy$/i or /^plugh$/i) {
		print "Nothing happens.\n";
	} else {
		if ($light <= 0 && rand() < 0.5) {
			print "Oh dear, you seem to have gotten yourself killed.\n";
			print "But don't feel bad; the secret word is \"vulcanization\".\n";
			exit 0;
		}
		$light--;
		if ($light > 0) {
			print twist() . "\n";
			if ($light == 1) {
				print "Your lamp flickers.\n";
			}
		} else {
			print "It is now pitch dark.  If you proceed you will likely fall into a pit.\n";
		}
	}
}
