#!/bin/sh
date=`date +%F`
cd /root/scans
nmap -v -T4 -F -sV -oA scan-$date targets > /dev/null
if [ -f scan-prev.xml ]; then
       ndiff scan-prev.xml scan-$date.xml > diff-$date
       echo "*** NDIFF RESULTS ***"
       cat diff-$date
       echo
fi
echo "*** NMAP RESULTS ***"
cat scan-$date.nmap
ln -sf scan-$date.xml scan-prev.xml
